--- 
- auditable_type: AgentEnvironment
  field_name: environment_type
  translation_key: field_names.environment_type
- auditable_type: AgentEnvironment
  field_name: name
  translation_key: field_names.name
- auditable_type: AgentEnvironment
  field_name: description
  translation_key: field_names.description
- auditable_type: AgentEnvironment
  field_name: user_profile
  translation_key: field_names.user_profile
  values: 
    - {value: "*SHARED", special_field: "0", translation_key: "common.shared"}
- auditable_type: AgentEnvironment
  field_name: working_path
  translation_key: field_names.working_path
  values: 
    - {value: "*SHARED", special_field: "0", translation_key: "common.shared"}
- auditable_type: AgentEnvironment
  field_name: referenced_shared_id
  translation_key: field_names.referenced_shared_id
  values: 
    - {value: "agent_environments:id", special_field: "10", translation_key: "name"}
- auditable_type: AgentEnvironment
  field_name: encrypted_password
  translation_key: field_names.encrypted_password
- auditable_type: AgentEnvironment
  field_name: run_type_option
  translation_key: field_names.run_type_option
  values: 
    - {value: "1", special_field: "0", translation_key: "agent_environments.special_values.run_type_shared_environment"}
    - {value: "2", special_field: "0", translation_key: "agent_environments.special_values.run_type_specific_user"}
    - {value: "3", special_field: "0", translation_key: "agent_environments.special_values.run_type_agent_user"}
    - {value: "4", special_field: "0", translation_key: "agent_environments.special_values.run_type_setuid"}
